/**
 * @file mbox.c
 * This is the main mbox program start point.
 *
 * @details
 * This program demonstrates using a mailbox section
 * created in hub ram with a linker script to communicate
 * with a COG C blinky program.
 */
#include <propeller.h>
#include <stdio.h>
#include "mbox.h"

/**
 * Main program function.
 */
int main(void)
{
    extern int _load_start_blinkcog;
    extern int _mailbox1;
    extern int _mailbox2;

    MBox *mb1 = (MBox *) &_mailbox1;
    MBox *mb2 = (MBox *) &_mailbox2;

    waitcnt(CLKFREQ/5+CNT);
    //printf("Mailbox 1 address %x\n", mb1);
    //printf("Mailbox 2 address %x\n", mb2);

    mb1->pin = 12;
    mb1->delay = CLKFREQ/2;
    cognew(&_load_start_blinkcog, mb1);

    mb2->pin = 13;
    mb2->delay = CLKFREQ/4;
    cognew(&_load_start_blinkcog, mb2);

    for(;;); // run forever

    return 0;
}

